PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_HeaderFooterDrawing

Source Location: /PHPExcel/Worksheet/HeaderFooterDrawing.php

### Class Overview

    PHPExcel_Worksheet_BaseDrawing
       |
       --PHPExcel_Worksheet_Drawing
          |
          --PHPExcel_Worksheet_HeaderFooterDrawing

PHPExcel_Worksheet_HeaderFooterDrawing

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

Implements interfaces:

- PHPExcel_IComparable

### Variables

- $_height
- $_name
- $_offsetX
- $_offsetY
- $_resizeProportional
- $_width

### Methods

- __construct
- getExtension
- getFilename
- getHashCode
- getHeight
- getName
- getOffsetX
- getOffsetY
- getPath
- getResizeProportional
- getWidth
- setHeight
- setName
- setOffsetX
- setOffsetY
- setPath
- setResizeProportional
- setWidth
- setWidthAndHeight
- __clone

### Inherited Variables

#### Class: PHPExcel_Worksheet_BaseDrawing

PHPExcel_Worksheet_BaseDrawing::$_coordinates
PHPExcel_Worksheet_BaseDrawing::$_description
PHPExcel_Worksheet_BaseDrawing::$_rotation
PHPExcel_Worksheet_BaseDrawing::$_shadow
PHPExcel_Worksheet_BaseDrawing::$_worksheet

### Inherited Methods

#### Class: PHPExcel_Worksheet_Drawing

PHPExcel_Worksheet_Drawing::__construct()
  Create a new PHPExcel_Worksheet_Drawing
PHPExcel_Worksheet_Drawing::getExtension()
  Get Extension
PHPExcel_Worksheet_Drawing::getFilename()
  Get Filename
PHPExcel_Worksheet_Drawing::getHashCode()
  Get hash code
PHPExcel_Worksheet_Drawing::getIndexedFilename()
  Get indexed filename (using image index)
PHPExcel_Worksheet_Drawing::getPath()
  Get Path
PHPExcel_Worksheet_Drawing::setPath()
  Set Path
PHPExcel_Worksheet_Drawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Class: PHPExcel_Worksheet_BaseDrawing

PHPExcel_Worksheet_BaseDrawing::__construct()
  Create a new PHPExcel_Worksheet_BaseDrawing
PHPExcel_Worksheet_BaseDrawing::getCoordinates()
  Get Coordinates
PHPExcel_Worksheet_BaseDrawing::getDescription()
  Get Description
PHPExcel_Worksheet_BaseDrawing::getHashCode()
  Get hash code
PHPExcel_Worksheet_BaseDrawing::getHeight()
  Get Height
PHPExcel_Worksheet_BaseDrawing::getImageIndex()
  Get image index
PHPExcel_Worksheet_BaseDrawing::getName()
  Get Name
PHPExcel_Worksheet_BaseDrawing::getOffsetX()
  Get OffsetX
PHPExcel_Worksheet_BaseDrawing::getOffsetY()
  Get OffsetY
PHPExcel_Worksheet_BaseDrawing::getResizeProportional()
  Get ResizeProportional
PHPExcel_Worksheet_BaseDrawing::getRotation()
  Get Rotation
PHPExcel_Worksheet_BaseDrawing::getShadow()
  Get Shadow
PHPExcel_Worksheet_BaseDrawing::getWidth()
  Get Width
PHPExcel_Worksheet_BaseDrawing::getWorksheet()
  Get Worksheet
PHPExcel_Worksheet_BaseDrawing::setCoordinates()
  Set Coordinates
PHPExcel_Worksheet_BaseDrawing::setDescription()
  Set Description
PHPExcel_Worksheet_BaseDrawing::setHeight()
  Set Height
PHPExcel_Worksheet_BaseDrawing::setName()
  Set Name
PHPExcel_Worksheet_BaseDrawing::setOffsetX()
  Set OffsetX
PHPExcel_Worksheet_BaseDrawing::setOffsetY()
  Set OffsetY
PHPExcel_Worksheet_BaseDrawing::setResizeProportional()
  Set ResizeProportional
PHPExcel_Worksheet_BaseDrawing::setRotation()
  Set Rotation
PHPExcel_Worksheet_BaseDrawing::setShadow()
  Set Shadow
PHPExcel_Worksheet_BaseDrawing::setWidth()
  Set Width
PHPExcel_Worksheet_BaseDrawing::setWidthAndHeight()
  Set width and height with proportional resize
PHPExcel_Worksheet_BaseDrawing::setWorksheet()
  Set Worksheet
PHPExcel_Worksheet_BaseDrawing::__clone()
  Implement PHP __clone to create a deep clone, not just a shallow copy.

### Class Details

[line 36]
PHPExcel_Worksheet_HeaderFooterDrawing

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_height =

[line 78]

Height

#### Tags:

access: | protected

Type: | int
Overrides: | Array

[ Top ]

#### $_name =

[line 50]

Name

#### Tags:

access: | protected

Type: | string
Overrides: | Array

[ Top ]

#### $_offsetX =

[line 57]

Offset X

#### Tags:

access: | protected

Type: | int
Overrides: | Array

[ Top ]

#### $_offsetY =

[line 64]

Offset Y

#### Tags:

access: | protected

Type: | int
Overrides: | Array

[ Top ]

#### $_resizeProportional =

[line 85]

Proportional resize

#### Tags:

access: | protected

Type: | boolean
Overrides: | Array

[ Top ]

#### $_width =

[line 71]

Width

#### Tags:

access: | protected

Type: | int
Overrides: | Array

[ Top ]

### Class Methods

### constructor __construct [line 90]

`PHPExcel_Worksheet_HeaderFooterDrawing __construct( )`

Create a new PHPExcel_Worksheet_HeaderFooterDrawing

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_Drawing::__construct() (Create a new PHPExcel_Worksheet_Drawing)
[ Top ]

### method getExtension [line 280]

`string getExtension( )`

Get Extension

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_Drawing::getExtension() (Get Extension)
[ Top ]

### method getFilename [line 271]

`string getFilename( )`

Get Filename

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_Drawing::getFilename() (Get Filename)
[ Top ]

### method getHashCode [line 325]

`string getHashCode( )`

Get hash code

#### Tags:

return: | Hash code
access: | public

Overrides PHPExcel_Worksheet_Drawing::getHashCode() (Get hash code)
[ Top ]

### method getHeight [line 195]

`int getHeight( )`

Get Height

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::getHeight() (Get Height)
[ Top ]

### method getName [line 107]

`string getName( )`

Get Name

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::getName() (Get Name)
[ Top ]

### method getOffsetX [line 127]

`int getOffsetX( )`

Get OffsetX

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::getOffsetX() (Get OffsetX)
[ Top ]

### method getOffsetY [line 147]

`int getOffsetY( )`

Get OffsetY

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::getOffsetY() (Get OffsetY)
[ Top ]

### method getPath [line 290]

`string getPath( )`

Get Path

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_Drawing::getPath() (Get Path)
[ Top ]

### method getResizeProportional [line 251]

`boolean getResizeProportional( )`

Get ResizeProportional

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::getResizeProportional() (Get ResizeProportional)
[ Top ]

### method getWidth [line 167]

`int getWidth( )`

Get Width

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::getWidth() (Get Width)
[ Top ]

### method setHeight [line 205]

`PHPExcel_Worksheet_HeaderFooterDrawing setHeight( [int $pValue = 0])`

Set Height

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::setHeight() (Set Height)

#### Parameters:

int | $pValue |

[ Top ]

### method setName [line 117]

`PHPExcel_Worksheet_HeaderFooterDrawing setName( [string $pValue = ''])`

Set Name

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::setName() (Set Name)

#### Parameters:

string | $pValue |

[ Top ]

### method setOffsetX [line 137]

`PHPExcel_Worksheet_HeaderFooterDrawing setOffsetX( [int $pValue = 0])`

Set OffsetX

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::setOffsetX() (Set OffsetX)

#### Parameters:

int | $pValue |

[ Top ]

### method setOffsetY [line 157]

`PHPExcel_Worksheet_HeaderFooterDrawing setOffsetY( [int $pValue = 0])`

Set OffsetY

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::setOffsetY() (Set OffsetY)

#### Parameters:

int | $pValue |

[ Top ]

### method setPath [line 302]

`PHPExcel_Worksheet_HeaderFooterDrawing setPath( [string $pValue = ''], [boolean $pVerifyFile = true])`

Set Path

#### Tags:

throws: | Exception
access: | public

Overrides PHPExcel_Worksheet_Drawing::setPath() (Set Path)

#### Parameters:

string | $pValue | File path
boolean | $pVerifyFile | Verify file

[ Top ]

### method setResizeProportional [line 261]

`PHPExcel_Worksheet_HeaderFooterDrawing setResizeProportional( [boolean $pValue = true])`

Set ResizeProportional

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::setResizeProportional() (Set ResizeProportional)

#### Parameters:

boolean | $pValue |

[ Top ]

### method setWidth [line 177]

`PHPExcel_Worksheet_HeaderFooterDrawing setWidth( [int $pValue = 0])`

Set Width

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::setWidth() (Set Width)

#### Parameters:

int | $pValue |

[ Top ]

### method setWidthAndHeight [line 231]

`PHPExcel_Worksheet_HeaderFooterDrawing setWidthAndHeight( [int $width = 0], [int $height = 0])`

Set width and height with proportional resize

Example:

1. $objDrawing-> setResizeProportional (true);
2. $objDrawing-> setWidthAndHeight (160,120);

#### Tags:

author: | Vincent@luo MSN:kele_100@hotmail.com
access: | public

Overrides PHPExcel_Worksheet_BaseDrawing::setWidthAndHeight() (Set width and height with proportional resize)

#### Parameters:

int | $width |
int | $height |

[ Top ]

### method __clone [line 340]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

Overrides PHPExcel_Worksheet_Drawing::__clone() (Implement PHP __clone to create a deep clone, not just a shallow copy.)
[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:27 +0200 by phpDocumentor 1.4.4